<!DOCTYPE html>
<html>
    <head>
        <title></title>
    </head>
    <body>
        <main>
            <div>
                <h1>My Tasks</h1>
                {% if task_list %}
                    <table>
                        <thead>
                            <tr>
                                <td>Name</td>
                                <td>Start date</td>
                                <td>End date</td>
                                <td>
                                    {% if task.is_completed == True %}
                                        <p>Done</p>
                                    {% else %}
                                        <form method="post" action="{% url 'complete_task' task.id %}">
                                            {% csrf_token %}
                                            <input type="hidden" name="is_completed" value="True" />
                                            <button>Complete</button>
                                        </form>
                                    {% endif %}
                                </td>
                            </tr>
                        </thead>
                    </table>
                {% else %}
                    <p>You have no tasks</p>
                {% endif %}
            </div>
        </main>
    </body>
</html>
